---
layout: usecase

title: Blockchain Powered Land Registry in Ghana with BenBen
description: BenBen is building a land registry in Ghana to help lock in property rights for citizens.
header: hero-benben.jpg
image: hero-benben.jpg

quote:
    copy: BigchainDB allows us to manage land titles and transactions the way we want, something that no other blockchain can do.
    name: Daniel Bloch
    org: Co-Founder & COO, BenBen
    image: daniel-bloch.jpg

company: BenBen
industry: Government
bitmaplogo: logo-benben.png
pdf: benben.pdf

about:
    user: "Daniel is the cofounder and COO of BenBen. He was introduced to the blockchain in 2011 while working at Bitbox, one of North America’s first Bitcoin exchanges. From there Daniel cofounded the College Cryptocurrency Network (now the Blockchain Education Network) to fill the educational gap on Blockchain at University campuses. He is based in Accra leading product development, partnerships and client integration at BenBen."
    company: "BenBen is a team of motivated engineers and innovators dedicated to improving government technology in Ghana. BenBen is a digital land database that leverages blockchain technology to provide fast easy access to trusted land content. Focusing on land and property management, BenBen aims to create a reliable land information and transactions system by coupling the latest in geomatic services with blockchain technology."
---

## Background

[BenBen](http://benben.com.gh)’s founders, Daniel Bloch and Emmanuel Noah were early true believers in Bitcoin and blockchain technology. Both worked at Bitbox, the second Bitcoin exchange in North America, at its inception while at the University of Michigan in 2013. Daniel also cofounded the Blockchain Education Network.

While attending an event at the University of Kenya, they became aware of the land and property rights issues endemic to much of Africa and focused their efforts on addressing these in Ghana.

## Challenges

Land records are stored in a centralized database with no additional benefits other than being a paper registry. It is virtually impossible to collateralize property rights in Ghana because the paper registry system is unenforceable in court. Because of unenforceability, banks won’t accept land as collateral. This situation leaves millions without the possibility of leveraging their property to get loans and rely on the rule of law for protection – continuing the ongoing cycle of poverty for much of the population.

## Solution

BenBen is creating a top-of-stack land registry and verification platform for financial institutions. This platform captures transactions and verifies the data. BenBen works with financial institutions to update current registries, enable smart transactions and distribute private keys for clients - to allow an automated and trusted property transactions between all parties.

## How BigchainDB is Helping

Using blockchain technology provided by BigchainDB, it’s possible to build a land registry and a history of transactions that can be verified.
BigchainDB underpins the BenBen land registry in several ways:

- Provides a globally accessible database to store land titles and transactions
- High capacity and throughput for millions of records
- Data immutability that brings trust and auditability to the records
- Query technology that enables quick retrieval transaction histories
- Interoperability with [IPFS](https://ipfs.io), to store large files and media

BigchainDB facilitated the agile development of the BenBen product - supplying all of the technological and development tools to build the platform.


## Looking Ahead

The BenBen team is in conversations with organizations in Nigeria, Mozambique, and Colombia to identify markets where the same system could be launched after Ghana.
