---
layout: usecase

title: "“Every Product Has a Story” - innogy’s Digital Product Memory"
description: "innogy is leading the charge to reveal every product's story. Their Digital Product Memory project leads to a future where we know the exact provenance and authenticity of everything we touch, see, feel and taste – and in the process, solve many of the problems in today’s global supply chains."
header: hero-innogy.jpg
image: hero-innogy.jpg

quote:
    copy: BigchainDB powers the machine economy.
    name: Dr. Carsten Stöcker
    org: Machine Economy Innovation Lighthouse Lead, innogy SE
    image: carsten-stoecker.jpg

company: innogy SE
industry: Supply chain
pdf: innogy.pdf

about:
    user: "Dr. Carsten Stöcker is the Machine Economy Innovation Lighthouse Lead at innogy SE, and a co-founder of Genesis of Things. He is a physicist by training with a PhD from University of Aachen. He also serves as a Council Member of Global Future Network for the World Economic Forum. Prior to joining innogy SE, Dr. Stöcker worked for the German Aerospace Center (DLR) and Accenture GmbH."
    company: "innogy SE is an European energy company. With its three business areas of renewables, grid & infrastructure as well as retail, it addresses the requirements of a modern, decarbonized, decentralized and digital world. The focus of innogy SE’s activities is on offering existing and potential customers innovative and sustainable products and services which enable them to use energy more efficiently and improve their quality of life."
---

## Background

[innogy SE](https://www.innogy.com) is an energy company that is building solutions for a modern, decarbonized, decentralized and digital world. Innogy is based in Germany and focuses on renewables, grids & infrastructure and retail. Innogy is exploring the use of blockchain technologies all lines of business.

One of the projects, the Digital Product Memory seeks to give every product a story. innogy’s Digital Product Memory project leads to a future where we know the exact provenance and authenticity of everything we touch, see, feel and taste – and in the process, solve many of the problems in today’s global supply chains.

## Challenges

The global flow of goods has never been greater. Many of the processes designed to manage these flows are manual, paper-based, error-prone and vulnerable to fraud. This means that consumers have almost no way to check the trace the history, check provenance, or verify authenticity the the products that they buy. In today’s world, where consumers make choices based on moral, political and economic values, it matters where a product comes from, how it’s made and what’s happened to it.

## Solution

With today’s real-time information systems, global internet connectivity and rapidly advancing sensor technology – there’s no reason why we can’t track each individual product from the moment of inception until it reaches the end consumer.

This is the vision of the Digital Product Memory – to give each product a story – from the moment of inception until it completes its useful life.

A Digital Product Memory facilitates:

- Verification of authenticity and provenance
- Proof of ownership
- Lifecycle traceability


## How BigchainDB is Helping

Using blockchain technology provided by BigchainDB, it’s possible to build a database of products and their entire history so that provenance, authenticity and ownership can be verified.

BigchainDB underpins the Digital Product Memory in several ways:

- Provides a globally accessible database to store products and their digital histories
- High capacity and throughput for millions of sensors and products
- Data immutability that brings trust and auditability to the records
- Query technology that enables quick retrieval product histories
- Supports micropayment channels to enable machine-to-machine commerce
